## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 14;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

# generated by cabal-rpm-2.3.0
# https://docs.fedoraproject.org/en-US/packaging-guidelines/Haskell/

Name:           hwk
Version:        0.6
Release:        %autorelease
Summary:        Commandline text processing with Haskell functions

License:        MIT
URL:            https://hackage.haskell.org/package/hwk
# Begin cabal-rpm sources:
Source0:        https://hackage.haskell.org/package/%{name}-%{version}/%{name}-%{version}.tar.gz
# End cabal-rpm sources

# Begin cabal-rpm deps:
BuildRequires:  ghc-Cabal-devel
BuildRequires:  ghc-rpm-macros
BuildRequires:  ghc-base-devel
BuildRequires:  ghc-directory-devel
BuildRequires:  ghc-extra-devel
BuildRequires:  ghc-filepath-devel
BuildRequires:  ghc-hint-devel
BuildRequires:  ghc-simple-cmd-args-devel
BuildRequires:  help2man
# End cabal-rpm deps
Requires:       ghc-compiler = %{ghc_version}
Recommends:     ghc-extra-devel

%description
A commandline tool for text processing with Haskell functions, complementing
unix-style tools like awk, grep, and sed. 'hwk' applies the function supplied
on the commandline using 'hint' to lines of input and outputs the results.


%prep
# Begin cabal-rpm setup:
%setup -q
# End cabal-rpm setup


%build
# Begin cabal-rpm build:
%ghc_bin_build
# End cabal-rpm build


%install
# Begin cabal-rpm install
%ghc_bin_install

set noclobber
mkdir -p %{buildroot}%{bash_completions_dir}
%{buildroot}%{_bindir}/%{name} --bash-completion-script %{name} | sed s/filenames/default/ > %{buildroot}%{bash_completions_dir}/%{name}

mkdir -p %{buildroot}%{_mandir}/man1/
help2man --no-info %{buildroot}%{_bindir}/%{name} > %{buildroot}%{_mandir}/man1/%{name}.1
# End cabal-rpm install


%files
# Begin cabal-rpm files:
%license LICENSE
%doc ChangeLog.md README.md
%{_bindir}/%{name}
%{_datadir}/%{name}-%{version}
%{bash_completions_dir}/%{name}
%{_mandir}/man1/%{name}.1*
# End cabal-rpm files


%changelog
## START: Generated by rpmautospec
* Sun Feb 23 2025 Jens Petersen <petersen@redhat.com> - 0.6-14
- cabal-rpm-2.3.0

* Fri Jan 17 2025 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-13
- Rebuilt for https://fedoraproject.org/wiki/Fedora_42_Mass_Rebuild

* Mon Aug 05 2024 Jens Petersen <petersen@redhat.com> - 0.6-12
- bump release

* Thu Jul 18 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Tue Jul 16 2024 Jens Petersen <petersen@redhat.com> - 0.6-10
- refresh to cabal-rpm-2.2.1

* Wed Jan 24 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jan 20 2024 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sat Jul 29 2023 Jens Petersen <petersen@redhat.com> - 0.6-7
- bump release

* Mon Jul 24 2023 Jens Petersen <petersen@redhat.com> - 0.6-6
- rebuild

* Thu Jul 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 0.6-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Fri May 26 2023 Jens Petersen <petersen@redhat.com> - 0.6-5
- rebuild with fixed ghc m32_allocator

* Thu Feb 16 2023 Jens Petersen <petersen@redhat.com> - 0.6-4
- refresh to cabal-rpm-2.1.0 with SPDX migration

* Mon Aug 22 2022 Jens Petersen <petersen@redhat.com> - 0.6-3
- use the final 0.6 release tarball (#2010172, Jakub Kadlčík)

* Mon Aug 22 2022 Jens Petersen <petersen@redhat.com> - 0.6-2
- format and comment on bash-completion pipeline (#2010172, Jakub Kadlčík)

* Mon Jun 14 2021 Jens Petersen <petersen@redhat.com> - 0.6-1
- spec file generated by cabal-rpm-2.0.10
- require built ghc version

## END: Generated by rpmautospec
